/*
e-Gizmo L298N Double H-Bridge
 DC Stepper Motor Driver
 Sample Codes
 
 by
 e-Gizmo Mechatronix Central
 September 17, 2017
 http://www.e-gizmo.com
 
 */
#define MOTOR_A_DIR 8
#define MOTOR_A_RUN 9
#define MOTOR_B_RUN 10
#define MOTOR_B_DIR 11

// the setup routine runs once when you press reset:
void setup() {
  pinMode(MOTOR_A_DIR, OUTPUT);
  pinMode(MOTOR_A_RUN, OUTPUT);
  pinMode(MOTOR_B_RUN, OUTPUT);
  pinMode(MOTOR_B_DIR, OUTPUT);
}

// the loop routine runs over and over again forever:
void loop() {
  //Move Forward
  digitalWrite(MOTOR_A_DIR, HIGH);
  analogWrite(MOTOR_A_RUN, 180);
  analogWrite(MOTOR_B_RUN, 180);
  digitalWrite(MOTOR_B_DIR, HIGH);
  delay(1000);//delay ms

  //Move Backward
  digitalWrite(MOTOR_A_DIR, LOW);
  analogWrite(MOTOR_A_RUN, 180);
  analogWrite(MOTOR_B_RUN, 180);
  digitalWrite(MOTOR_B_DIR, LOW);
  delay(1000);//delay ms

  // Turn right  
  digitalWrite(MOTOR_A_DIR, HIGH);
  analogWrite(MOTOR_A_RUN, 180);
  analogWrite(MOTOR_B_RUN, 180);
  digitalWrite(MOTOR_B_DIR, LOW);
  delay(1000);//delay ms

  //Turn left
  digitalWrite(MOTOR_A_DIR, LOW);
  analogWrite(MOTOR_A_RUN, 180);
  analogWrite(MOTOR_B_RUN, 180);
  digitalWrite(MOTOR_B_DIR, HIGH);
  delay(1000);//delay ms

  //Stop
  digitalWrite(MOTOR_A_DIR, LOW);
  analogWrite(MOTOR_A_RUN, 0);
  analogWrite(MOTOR_B_RUN, 0);
  digitalWrite(MOTOR_B_DIR, LOW);
  delay(1000);//delay ms
}


